Skip to main content
POST
/
phone-aliases
Create phone book contact
curl --request POST \
  --url https://app.freyavoice.ai/api/v2/phone-aliases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Test caller",
  "numbers": [
    "+905551234567",
    "8001234"
  ]
}
'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "numbers": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "phoneNumber": "<string>"
          }
        ],
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Required string length: 1 - 100
numbers
string[]
required
Required array length: 1 - 50 elements
Required string length: 1 - 64

Response

Contact created

success
enum<boolean>
required
Available options:
true
data
object
required